{% extends "easy_pdf/base.html" %}

{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter portrait;
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context.noPermission %}
        <div style="padding-top: 2em;">
            <div align="center">
                <span style="font-size: 30px;font-stretch: semi-expanded;font-weight: bold; color: red">Access Denied</span><br>
            </div>
        </div>
    {% else %}
        <div style="padding-top: 2em;">
            <div align="center" style="border: dashed;line-height: 30px">
                <span style="font-size: 30px;font-stretch: semi-expanded;font-weight: bold">Government College of Technology</span><br>
                <span style="font-size: 25px;font-stretch: semi-expanded;font-weight: bold">Coimbatore - 641 013</span><br>
                <span style="font-size: 22px;font-stretch: semi-expanded;font-weight: bold">Department of {{ context.staffCourseInstance.department }}</span><br>
                <span style="font-size: 18px;font-stretch: semi-expanded;font-weight: bold">Feedback Report</span><br>
                <span style="font-size: 15px;font-stretch: semi-expanded;font-weight: bold"><strong>Course</strong> :{{ context.staffCourseInstance.course }}</span><br>
                <span style="font-size: 15px;font-stretch: semi-expanded;font-weight: bold"><strong>Batch</strong> : {{ context.staffCourseInstance.semester.batch }}
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <strong>Semester</strong> : {{ context.staffCourseInstance.semester.semester_number }} </span>
            </div>
        </div>
        <br>

        <h4 style="font-weight: 500" align="center">
            No. of Students given Feedbacks:
            <strong style="font-weight: bolder">{{ context.studentsGivenFeedbacks }}</strong>
        </h4>

        {% for feedback in context.feedbackQuestionGradeList %}
            <div style="margin-left: 100px; margin-right: 100px;">
                <table border="1" style="border-width: thin;padding-top: 50%">
                    <thead>
                    <tr>
                        <th colspan="2">
                            <strong>{{ feedback.category }}</strong></th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for grade in feedback.gradeList %}
                        <tr>
                            <td style="padding-left: 20%">
                                {{ grade.grade.gradeName }}&nbsp;(<strong>{{ grade.grade.gradeShort }}</strong>)
                            </td>
                            <td align="center">
                                <strong>{{ grade.count }}</strong>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
            <div class="col-md-12"><br><br></div>
        {% endfor %}


        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <table>
            <tr>
                <div style="width: 25%">
                    <td align="left" style="font-stretch: expanded;font-size: large"><strong>Signature of
                        Faculty</strong>
                    </td>
                </div>
                <div style="width: 25%">
                    <td align="left" style="font-stretch: expanded;font-size: large"><strong>Signature of Faculty
                        Advisor</strong>
                    </td>
                </div>
                <div style="width: 25%">
                    <td align="right" style="font-stretch: expanded;font-size: large"><strong>Signature of Programmme
                        co-ordinator</strong>
                    </td>
                </div>
                <div style="width: 25%">
                    <td align="right" style="font-stretch: expanded;font-size: large"><strong>Signature of HOD</strong>
                    </td>
                </div>
            </tr>
        </table>
    {% endif %}
{% endblock %}